<div>
@if ($showCreateModal)
        <x-wireui:modal-card title="{{ $roleId ? '編輯角色' : '新增角色' }}" blur wire:model.defer="showCreateModal">
            <div class="space-y-4">
                <x-wireui:input label="角色名稱" wire:model.defer="name" />
                <x-wireui:select
                    label="權限"
                    wire:model.defer="selectedPermissions"
                    placeholder="選擇權限"
                    multiselect
                    option-label="label"
                    option-value="value"
                    :options="$permissions->map(fn($p) => ['value' => $p->id, 'label' => $p->name])->toArray()"
                />
            </div>

            <x-slot name="footer">
                <div class="flex justify-center gap-2">
                    <x-wireui:button primary label="{{__('roles.cancel')}}" x-on:click="$dispatch('close')" />
                    <x-wireui:button primary label="{{__('roles.submit')}}" wire:click="save" />
                </div>
            </x-slot>
        </x-wireui:modal-card>
    @endif
</div>
